package com.prodhack.moscow2025.domain.usecase.auth

import com.prodhack.moscow2025.domain.models.LoginData
import com.prodhack.moscow2025.domain.interfaces.AuthRepository
import org.koin.core.annotation.Single

@Single
class LoginUserUseCase(
	private val authRepository: AuthRepository
) {
	suspend operator fun invoke(data: LoginData): Result<String> {
		return authRepository.signInRequest(data)
	}
}
